Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.mtg
Class MTGExport

    java.lang.Object
      de.grogra.pf.io.FilterBase
          de.grogra.imp3d.io.SceneGraphExport
              de.grogra.mtg.MTGExport

All Implemented Interfaces:
  SceneTree.Visitor, FileWriterSource, Filter, FilterSource, RegistryContext, Map

    public class MTGExport

extends SceneGraphExport
implements FileWriterSource

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.imp3d.io.SceneGraphExport
`SceneGraphExport.NodeExport, SceneGraphExport.ObjectExport`

Nested classes/interfaces inherited from interface de.grogra.pf.io.FilterSource
`FilterSource.MetaDataKey<V>`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary

Fields inherited from class de.grogra.imp3d.io.SceneGraphExport
`files`

Fields inherited from class de.grogra.pf.io.FilterBase
`item, source`

Fields inherited from interface de.grogra.pf.io.FilterSource
`AUTO_PROGRESS, DESTINATION_FILE, DESTINATION_URL`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`MTGExport(FilterItem item, FilterSource source)`

Method Summary
`protected void` | `beginGroup(SceneTree.InnerNode group)` This method is invoked at the beginning of every inner node `group` which has more than one child.
`protected SceneTree` | `createSceneTree(View3D scene)` The implementation of this method creates the scene tree which is to be exported by this export.
`protected void` | `endGroup(SceneTree.InnerNode group)` This method is invoked at the end of every inner node `group` which has more than one child.
`void` | `write(java.io.File out)` This method writes the data to `out`.

Methods inherited from class de.grogra.imp3d.io.SceneGraphExport
`export, export, getDirectory, getExportFor, getExportForObject, getFile, getFiles, getFileSystem, getGraphState, getOutputStream, getPath, getPath, getView, initDirectory, initFileSystem, visit, visitEnter, visitLeave, write`

Methods inherited from class de.grogra.pf.io.FilterBase
`get, getFilter, getFlavor, getImpl, getMetaData, getRegistry, getSource, getSystemId, initProgressMonitor, setFlavor, setMetaData, setMetaData, setProgress, setSystemId, toString, toURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.pf.io.FilterSource
`getFilter, getFlavor, getMetaData, getSystemId, initProgressMonitor, setMetaData, setProgress`

Methods inherited from interface de.grogra.pf.registry.RegistryContext
`getRegistry`

Constructor Detail

### MTGExport

    public MTGExport(FilterItem item,
                     FilterSource source)

Method Detail

### beginGroup

    protected void beginGroup(SceneTree.InnerNode group)
                       throws java.io.IOException

  Description copied from class: `SceneGraphExport`
  This method is invoked at the beginning of every inner node `group` which has more than one child. Its children will be processed until the corresponding method `SceneGraphExport.endGroup(de.grogra.imp3d.objects.SceneTree.InnerNode)` is invoked. The export should write the hierarchy and transformation information of the `group`.

  Specified by:
    `beginGroup` in class `SceneGraphExport`
  Parameters:
    `group` - the group
  Throws:
    `java.io.IOException`

### createSceneTree

    protected SceneTree createSceneTree(View3D scene)

  Description copied from class: `SceneGraphExport`
  The implementation of this method creates the scene tree which is to be exported by this export.

  Specified by:
    `createSceneTree` in class `SceneGraphExport`
  Parameters:
    `scene` - the view which defines the scene to export
  Returns:
    scene tree for the view

### endGroup

    protected void endGroup(SceneTree.InnerNode group)
                     throws java.io.IOException

  Description copied from class: `SceneGraphExport`
  This method is invoked at the end of every inner node `group` which has more than one child. Its children have been processed completely.

  Specified by:
    `endGroup` in class `SceneGraphExport`
  Parameters:
    `group` - the group
  Throws:
    `java.io.IOException`
  See Also:
    `SceneGraphExport.beginGroup(de.grogra.imp3d.objects.SceneTree.InnerNode)`

### write

    public void write(java.io.File out)
               throws java.io.IOException

  Description copied from interface: `FileWriterSource`
  This method writes the data to `out`.

  Specified by:
    `write` in interface `FileWriterSource`
  Parameters:
    `out` - the file to which data is written
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD